<?php
defined('BASEPATH') or exit('No direct script access allowed');

class ControllerDataEmail extends CI_Controller
{

    public function __construct()
    {
        parent::__construct();
        //validasi jika user belum login
        check_not_login();
        if ($this->session->userdata('level') != 1) {
            redirect();
        }
        $this->set_timezone();
        $this->load->library('encrypt');
        $this->load->library('form_validation');
        $this->load->library('Mycustom');
        $this->load->library('pdfgenerator');
        $this->load->library('Notifikasi');
        $this->load->model('bagian_owner/insert_model');
        $this->load->model('bagian_owner/select_model');
        $this->load->model('bagian_owner/update_model');
    }
    public function set_timezone()
    {
        date_default_timezone_set("Asia/Jakarta");
    }
    public function index()
    {
        $notif                 = $this->notifikasi->notif_owner();
        // Data Login
        $data_login            = $this->userlogin->user_login(); // Menampilkan siapa yang login
        $data_id_login         = $this->session->userdata('isloggedin'); // Menampilkan data session
        // Data Isian Konten
        // Query SQL Data atau isi data page
        // Menampilkan saldo pertama koperasi 
        $data_table = $this->db->get_where('sistem_mail')->result();
        $jml_data   = count($data_table);
        $data = array(
            // Untuk memanggil halaman sesuai menu
            'folder'              => 'database/sistem/email',
            'page'                => 'index',
            'judul'               => 'Kelola Database Bagian Sistem Email || Bagian Pengurus',
            'data_id_login'       => $data_id_login,
            'data_login'          => $data_login,
            'notif'               => $notif,
            // Isi data
            'jml_data'            => $jml_data,
            'data_table'          => $data_table
        );
        $this->load->view('owner/index', $data);
    }
    // Crud
    public function crud()
    {
        if (isset($_POST['updateDatabaseTerbaru'])) :
            $data = array(
                'host_mail'    => htmlspecialchars($this->input->post('host_mail')),
                'user_mail'    => htmlspecialchars($this->input->post('user_mail')),
                'pass_mail'    => $this->encrypt->encode(htmlspecialchars($this->input->post('pass_mail'))),
                'set_mail'     => htmlspecialchars($this->input->post('set_mail')),
                'ket_mail'     => htmlspecialchars($this->input->post('ket_mail'))
            );
            $this->db->where('id', htmlspecialchars($this->input->post('email_id')));
            $this->db->update('sistem_mail', $data);
            $this->session->set_flashdata('pesan_berhasil', '<div class="alert alert-success" id="pesan_berhasil" role="alert">Berhasil Merubah Data!</div>');
            redirect('owner/database/sistem/email');
        endif;
        if (isset($_POST['simpanDataEmail'])) :
            $data = array(
                'host_mail'    => htmlspecialchars($this->input->post('host_mail')),
                'user_mail'    => htmlspecialchars($this->input->post('user_mail')),
                'pass_mail'    => $this->encrypt->encode(htmlspecialchars($this->input->post('pass_mail'))),
                'set_mail'     => htmlspecialchars($this->input->post('set_mail')),
                'ket_mail'     => htmlspecialchars($this->input->post('ket_mail'))
            );
            $this->db->insert('sistem_mail', $data);
            $this->session->set_flashdata('pesan_berhasil', '<div class="alert alert-success" id="pesan_berhasil" role="alert">Berhasil Merubah Data!</div>');
            redirect('owner/database/sistem/email');
        endif;
    }
}

/* End of file ControllerDataEmail.php and path \application\controllers\owner\database\sistem\ControllerDataEmail.php */